Skip to main content

readonly

Description

Optional. Enables/disables the readonly mode
info

In this mode, Download is the only operation a user can perform.

Usage

readonly?: boolean;

Parameters

readonly - (optional) if it's set to true, it enables the readonly mode; if false (default), the mode is disabled

Example

<script setup>
import { Filemanager } from "@svar-ui/vue-filemanager";
import { getData, getDrive } from "./common/data";

</script>

<template>
<Filemanager
:data="getData()"
:drive="getDrive()"
:readonly="true"
/>
</template>

Related samples: Readonly mode

Skip to main content

readonly

Description

Optional. Enables/disables the readonly mode
info

In this mode, Download is the only operation a user can perform.

Usage

readonly?: boolean;

Parameters

readonly - (optional) if it's set to true, it enables the readonly mode; if false (default), the mode is disabled

Example

import { Filemanager } from "@svar-ui/react-filemanager";
import { getData, getDrive } from "./common/data";

export default function Example() {
return (
<Filemanager
data={getData()}
drive={getDrive()}
readonly={true}
/>
);
}

Related samples: Readonly mode